org.wso2.carbon.mdm.services.android.bean.wrapper

## Class AndroidDeviceInfo

- java.lang.Object
- - org.wso2.carbon.device.mgt.common.device.details.DeviceInfo
  - - org.wso2.carbon.mdm.services.android.bean.wrapper.AndroidDeviceInfo

- All Implemented Interfaces:
    Serializable

      public class AndroidDeviceInfo
      extends org.wso2.carbon.device.mgt.common.device.details.DeviceInfo
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidDeviceInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `getAvailableRAMMemory()`
    `Double` | `getBatteryLevel()`
    `String` | `getConnectionType()`
    `Double` | `getCpuUsage()`
    `Map<String,String>` | `getDeviceDetailsMap()`
    `String` | `getDeviceModel()`
    `Double` | `getExternalAvailableMemory()`
    `Double` | `getExternalTotalMemory()`
    `String` | `getIMEI()`
    `String` | `getIMSI()`
    `Double` | `getInternalAvailableMemory()`
    `Double` | `getInternalTotalMemory()`
    `org.wso2.carbon.device.mgt.common.device.details.DeviceLocation` | `getLocation()`
    `Double` | `getMobileSignalStrength()`
    `String` | `getOperator()`
    `String` | `getOsVersion()`
    `String` | `getSsid()`
    `Double` | `getTotalRAMMemory()`
    `Date` | `getUpdatedTime()`
    `String` | `getVendor()`
    `boolean` | `isPluggedIn()`
    `void` | `setAvailableRAMMemory(Double availableRAMMemory)`
    `void` | `setBatteryLevel(Double batteryLevel)`
    `void` | `setConnectionType(String connectionType)`
    `void` | `setCpuUsage(Double cpuUsage)`
    `void` | `setDeviceDetailsMap(Map<String,String> deviceDetailsMap)`
    `void` | `setDeviceModel(String deviceModel)`
    `void` | `setExternalAvailableMemory(Double externalAvailableMemory)`
    `void` | `setExternalTotalMemory(Double externalTotalMemory)`
    `void` | `setIMEI(String IMEI)`
    `void` | `setIMSI(String IMSI)`
    `void` | `setInternalAvailableMemory(Double internalAvailableMemory)`
    `void` | `setInternalTotalMemory(Double internalTotalMemory)`
    `void` | `setLocation(org.wso2.carbon.device.mgt.common.device.details.DeviceLocation location)`
    `void` | `setMobileSignalStrength(Double mobileSignalStrength)`
    `void` | `setOperator(String operator)`
    `void` | `setOsVersion(String osVersion)`
    `void` | `setPluggedIn(boolean pluggedIn)`
    `void` | `setSsid(String ssid)`
    `void` | `setTotalRAMMemory(Double totalRAMMemory)`
    `void` | `setUpdatedTime(Date updatedTime)`
    `void` | `setVendor(String vendor)`

    - ### Methods inherited from class org.wso2.carbon.device.mgt.common.device.details.DeviceInfo

      `getOsBuildDate, setOsBuildDate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidDeviceInfo

          public AndroidDeviceInfo()

  - ### Method Detail

    - #### getLocation

          public org.wso2.carbon.device.mgt.common.device.details.DeviceLocation getLocation()

      Overrides:
        `getLocation` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setLocation

          public void setLocation(org.wso2.carbon.device.mgt.common.device.details.DeviceLocation location)

      Overrides:
        `setLocation` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getIMEI

          public String getIMEI()

      Overrides:
        `getIMEI` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setIMEI

          public void setIMEI(String IMEI)

      Overrides:
        `setIMEI` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getIMSI

          public String getIMSI()

      Overrides:
        `getIMSI` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setIMSI

          public void setIMSI(String IMSI)

      Overrides:
        `setIMSI` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getDeviceModel

          public String getDeviceModel()

      Overrides:
        `getDeviceModel` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setDeviceModel

          public void setDeviceModel(String deviceModel)

      Overrides:
        `setDeviceModel` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getVendor

          public String getVendor()

      Overrides:
        `getVendor` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setVendor

          public void setVendor(String vendor)

      Overrides:
        `setVendor` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getOsVersion

          public String getOsVersion()

      Overrides:
        `getOsVersion` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setOsVersion

          public void setOsVersion(String osVersion)

      Overrides:
        `setOsVersion` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getBatteryLevel

          public Double getBatteryLevel()

      Overrides:
        `getBatteryLevel` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setBatteryLevel

          public void setBatteryLevel(Double batteryLevel)

      Overrides:
        `setBatteryLevel` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getInternalTotalMemory

          public Double getInternalTotalMemory()

      Overrides:
        `getInternalTotalMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setInternalTotalMemory

          public void setInternalTotalMemory(Double internalTotalMemory)

      Overrides:
        `setInternalTotalMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getInternalAvailableMemory

          public Double getInternalAvailableMemory()

      Overrides:
        `getInternalAvailableMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setInternalAvailableMemory

          public void setInternalAvailableMemory(Double internalAvailableMemory)

      Overrides:
        `setInternalAvailableMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getExternalTotalMemory

          public Double getExternalTotalMemory()

      Overrides:
        `getExternalTotalMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setExternalTotalMemory

          public void setExternalTotalMemory(Double externalTotalMemory)

      Overrides:
        `setExternalTotalMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getExternalAvailableMemory

          public Double getExternalAvailableMemory()

      Overrides:
        `getExternalAvailableMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setExternalAvailableMemory

          public void setExternalAvailableMemory(Double externalAvailableMemory)

      Overrides:
        `setExternalAvailableMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getOperator

          public String getOperator()

      Overrides:
        `getOperator` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setOperator

          public void setOperator(String operator)

      Overrides:
        `setOperator` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getConnectionType

          public String getConnectionType()

      Overrides:
        `getConnectionType` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setConnectionType

          public void setConnectionType(String connectionType)

      Overrides:
        `setConnectionType` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getMobileSignalStrength

          public Double getMobileSignalStrength()

      Overrides:
        `getMobileSignalStrength` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setMobileSignalStrength

          public void setMobileSignalStrength(Double mobileSignalStrength)

      Overrides:
        `setMobileSignalStrength` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getSsid

          public String getSsid()

      Overrides:
        `getSsid` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setSsid

          public void setSsid(String ssid)

      Overrides:
        `setSsid` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getCpuUsage

          public Double getCpuUsage()

      Overrides:
        `getCpuUsage` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setCpuUsage

          public void setCpuUsage(Double cpuUsage)

      Overrides:
        `setCpuUsage` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getTotalRAMMemory

          public Double getTotalRAMMemory()

      Overrides:
        `getTotalRAMMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setTotalRAMMemory

          public void setTotalRAMMemory(Double totalRAMMemory)

      Overrides:
        `setTotalRAMMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getAvailableRAMMemory

          public Double getAvailableRAMMemory()

      Overrides:
        `getAvailableRAMMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setAvailableRAMMemory

          public void setAvailableRAMMemory(Double availableRAMMemory)

      Overrides:
        `setAvailableRAMMemory` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### isPluggedIn

          public boolean isPluggedIn()

      Overrides:
        `isPluggedIn` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setPluggedIn

          public void setPluggedIn(boolean pluggedIn)

      Overrides:
        `setPluggedIn` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getUpdatedTime

          public Date getUpdatedTime()

      Overrides:
        `getUpdatedTime` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setUpdatedTime

          public void setUpdatedTime(Date updatedTime)

      Overrides:
        `setUpdatedTime` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### setDeviceDetailsMap

          public void setDeviceDetailsMap(Map<String,String> deviceDetailsMap)

      Overrides:
        `setDeviceDetailsMap` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

    - #### getDeviceDetailsMap

          public Map<String,String> getDeviceDetailsMap()

      Overrides:
        `getDeviceDetailsMap` in class `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo`

Copyright © 2017 WSO2. All rights reserved.